Modify the profile bio, image and banner of the user
curl --request POST \
--url https://api.twexapi.io/twitter/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cookie": "<string>",
"name": "<string>",
"website": "<string>",
"description": "<string>",
"location": "New York, USA",
"profile_image": "https://example.com/image.jpg",
"profile_banner": "https://example.com/banner.jpg",
"proxy": "http://username:password@ip:port"
}
'import requests
url = "https://api.twexapi.io/twitter/profile"
payload = {
"cookie": "<string>",
"name": "<string>",
"website": "<string>",
"description": "<string>",
"location": "New York, USA",
"profile_image": "https://example.com/image.jpg",
"profile_banner": "https://example.com/banner.jpg",
"proxy": "http://username:password@ip:port"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cookie: '<string>',
name: '<string>',
website: '<string>',
description: '<string>',
location: 'New York, USA',
profile_image: 'https://example.com/image.jpg',
profile_banner: 'https://example.com/banner.jpg',
proxy: 'http://username:password@ip:port'
})
};
fetch('https://api.twexapi.io/twitter/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"msg": "success",
"data": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Twitter Profile Actions Endpoints
Modify the profile bio, image and banner of the user
Modify the profile bio, image and banner of the user
POST
/
twitter
/
profile
Modify the profile bio, image and banner of the user
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Twitter authentication cookie or Twitter auth_token, how-to-get-twitter-cookie
Name of the user
Website of the user
Description of the user
Location of the user
Example:
"New York, USA"
Profile image of the user
Example:
"https://example.com/image.jpg"
Profile banner of the user
Example:
"https://example.com/banner.jpg"
The proxy to use.Please use high-quality residential proxies and avoid free proxies.Required.Example: http://username:password@ip:port [blocked] . You can get proxy from: https://app.proxy-cheap.com/r/qiMxub
Example:
"http://username:password@ip:port"
⌘I